GET List course submissions
Retrieve submissions for a course builder course with filtering by grading status
Retrieve submissions for a course builder course with filtering by grading status
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Course UUID
Format
uuidQuery Parameters
limit?integer
Number of submissions to return (1-100)
Range
1 <= value <= 100Default
25offset?integer
Number of submissions to skip
Range
0 <= valueDefault
0grading_status?string
Filter by grading status
Value in
- "pending"
- "graded"
- "returned"
user_id?string
Filter by specific user UUID
Format
uuidsort_by?string
Field to sort by
Default
"submitted_at"Value in
- "submitted_at"
- "graded_at"
- "score"
sort_order?string
Sort order
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/course-builder/courses/{id}/submissions"{ "data": [ { "id": "{id}", "course_id": "{course_id}", "module_id": "{module_id}", "user_id": "{user_id}", "status": "string", "submitted_at": "2019-08-24T14:15:22Z", "grade": 0, "score": 0, "feedback": "string" } ], "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}